HTML CSSResult Skip Results Iframe
EDIT ON
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body, .flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

body {
  height: 100vh;
  background-color: #ffffff;
  background-image: linear-gradient(315deg, #ffffff 0%, #d7e1ec 74%);
}

.social-links {
  display: flex;
}

.social-btn {
  cursor: pointer;
  height: 50px;
  width: 50px;
  font-family: 'Titillium Web', sans-serif;
  color: #333;
  border-radius: 10px;
  box-shadow: 0px 10px 10px rgba(0,0,0,0.1);
  background: white;
  margin: 5px;
  transition: 1s;
}

.social-btn span {
  width: 0px;
  overflow: hidden;
  transition: 1s;
  text-align: center;
}

.social-btn:hover {
  width: 150px;
  border-radius: 5px;
}

.social-btn:hover span {
  padding: 2px;
  width: max-content;
}

#twitter svg {
  fill: #1da1f2;
}

#linkedin svg {
  fill: #0e76a8;
}

#github {
  fill: #333;
}
Run Pen


Resources1× 0.5× 0.25×Rerun